## net.sf.saxon.expr
Class CollationMap

    java.lang.Object
      net.sf.saxon.expr.CollationMap

All Implemented Interfaces:
  Serializable

    public class CollationMap

extends Object
implements Serializable

This object maps collation URIs to collations. Logically this function is part of the static context, but it is often needed dynamically, so it is defined as a separate component that can safely be retained at run-time.

See Also:
  Serialized Form

Constructor Summary
`CollationMap(CollationMap in)`
`CollationMap(Configuration config)`

Method Summary
`StringCollator` `getDefaultCollation()`
`String` `getDefaultCollationName()`
`StringCollator` `getNamedCollation(String name)`
`void` `setDefaultCollationName(String name)`
`void` `setNamedCollation(String absoluteURI, StringCollator comparator)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollationMap

    public CollationMap(Configuration config)

### CollationMap

    public CollationMap(CollationMap in)

Method Detail

### setDefaultCollationName

    public void setDefaultCollationName(String name)

### getDefaultCollationName

    public String getDefaultCollationName()

### getDefaultCollation

    public StringCollator getDefaultCollation()

### setNamedCollation

    public void setNamedCollation(String absoluteURI,
                                  StringCollator comparator)

### getNamedCollation

    public StringCollator getNamedCollation(String name)

Copyright (C) Michael H. Kay. All rights reserved.